---
layout: docs
page_title: 'nomad operator snapshot save command reference'
description: |
  The `nomad operator snapshot save` command saves an atomic, point-in-time snapshot of state of the Nomad servers, including jobs, nodes, allocations,periodic jobs, ACLs for outage recovery, and the keyring.
---

# `nomad operator snapshot save` command reference

The `operator snapshot save` command retrieves an atomic, point-in-time
snapshot of the state of the Nomad servers, which includes jobs, nodes,
allocations, periodic jobs, and ACLs for [outage recovery].

If you enabled ACLs, you must supply a management token in order to perform
snapshot operations.

<Warning>

This command includes Nomad's keyring in the snapshot. If you are not using a
[KMS provider][] to secure the keyring, you should use the `-redact` flag to
remove key material before transmitting the snapshot to HashiCorp Support.

</Warning>

Run the `nomad operator snapshot save` command to create a snapshot from the
leader server.

This example saves the backup to `backup.snap`.

```shell-session
$ nomad operator snapshot save backup.snap
```

This example creates a potentially stale snapshot from any available server
and saves it to `backup.snap`. The `-stale` option is useful if no
leader is available.

```shell-session
$ nomad operator snapshot save -stale backup.snap
```

## Usage

```plaintext
nomad operator snapshot save [options] <file>
```

## General options

@include 'general_options_no_namespace.mdx'

## Snapshot save options

- `-redact`: The redact option will locally edit the snapshot to remove any
  cleartext key material from the root keyring. Only the AEAD keyring provider
  has cleartext key material in Raft. Note that this operation requires loading
  the snapshot into memory locally.

- `-stale`: The stale option defaults to `false`, which means the leader
  provides the result. If the cluster is in an outage state without a leader,
  you may need to set `-stale` to `true` to get the configuration from a
  non-leader server.

[outage recovery]: /nomad/tutorials/manage-clusters/outage-recovery
[KMS provider]: /nomad/docs/configuration/keyring
